<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$implemento = remove_junk($db->escape($_POST['implemento']));
	$propietario = remove_junk($db->escape($_POST['propietario']));
    $nombre = remove_junk($db->escape($_POST['nombre']));
    $marca = remove_junk($db->escape($_POST['marca']));
    $modelo = remove_junk($db->escape($_POST['modelo']));
    $placa = remove_junk($db->escape($_POST['placa']));
    $color = remove_junk($db->escape($_POST['color']));
    $potencia = remove_junk($db->escape($_POST['potencia']));
    $cod_patrimonial = remove_junk($db->escape($_POST['cod_patrimonial']));
    $combustible = remove_junk($db->escape($_POST['combustible']));
    $dim_llanta = remove_junk($db->escape($_POST['dim_llanta']));
    $peso = remove_junk($db->escape($_POST['peso']));
    $tamaño = remove_junk($db->escape($_POST['tamaño']));
    $anio_produccion = remove_junk($db->escape($_POST['anio_produccion']));
    $anio_compra = remove_junk($db->escape($_POST['anio_compra']));
    $pre_compra = remove_junk($db->escape($_POST['pre_compra']));
    $accesorio = remove_junk($db->escape($_POST['accesorio']));
    $responsable = remove_junk($db->escape($_POST['responsable']));
    $estado = remove_junk($db->escape($_POST['estado']));
    $observacion = remove_junk($db->escape($_POST['observacion']));
    $costo = remove_junk($db->escape($_POST['costo']));
    $compra = remove_junk($db->escape($_POST['compra']));
    $capacidad = remove_junk($db->escape($_POST['capacidad']));
   
   
   

    



 
    $query ="UPDATE implemento SET NombreImplemento='$nombre',CodigoPatrimonialImplemento='$cod_patrimonial',MarcaImplemento='$marca',ModeloImplemento='$modelo',PlacaImplemento='$placa',ColorImplemento='$color',PotenciaImplemento='$potencia',DimencionLlantaImplemento='$dim_llanta',PesoImplemento='$peso',TamañoImplemento='$tamaño',AccesoriosImplemento='$accesorio',AñoProduccionImplemento='$anio_produccion',AñoCompraImplemento='$anio_compra',PrecioCompraImplemento='$pre_compra',IdCombustible='$combustible',IdResponsableActivo='$responsable',ObservacionesImplemento='$observacion',EstadoActivoMI='$estado',CostoHoraImplemento='$costo',FechaCompraImplemento='$compra',CapacidadImplemento='$capacidad',IdCliente='$propietario' WHERE id = $implemento";

    if ($db->query($query)) {
        echo 'success';
    } else {
        echo 'fail';
    }
} 


